com.pixelmed.dicom

## Class OtherDoubleAttribute

- java.lang.Object
- - com.pixelmed.dicom.Attribute
  - - com.pixelmed.dicom.OtherDoubleAttribute

-     public class OtherDoubleAttribute
      extends Attribute

  A concrete class specializing `Attribute` for Other Double (OD) attributes.

  Though an instance of this class may be created using its constructors, there is also a factory class, `AttributeFactory`.

  See Also:
    `Attribute`, `AttributeFactory`, `AttributeList`

- - ### Field Summary

    - ### Fields inherited from class com.pixelmed.dicom.Attribute

      `valueLength, valueMultiplicity`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OtherDoubleAttribute(AttributeTag t)` Construct an (empty) attribute.
    `OtherDoubleAttribute(AttributeTag t, long vl, DicomInputStream i)` Read an attribute from an input stream.
    `OtherDoubleAttribute(AttributeTag t, java.lang.Long vl, DicomInputStream i)` Read an attribute from an input stream.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double[]` | `getDoubleValues()` Get the values of this attribute as a double array.
    `byte[]` | `getVR()` Get the value representation of this attribute (OD).
    `void` | `removeValues()` Remove any existing values, making the attribute empty (zero length).
    `void` | `setValues(double[] v)` Replace any existing values with the supplied array of double.
    `java.lang.String` | `toString(DicomDictionary dictionary)` Dump the contents of the attribute as a human-readable string.
    `void` | `write(DicomOutputStream o)` Write the entire attribute (including values) to the output stream.

    - ### Methods inherited from class com.pixelmed.dicom.Attribute

      `addValue, addValue, addValue, addValue, addValue, addValue, addValue, getByteValues, getDelimitedStringValuesOrDefault, getDelimitedStringValuesOrDefault, getDelimitedStringValuesOrDefault, getDelimitedStringValuesOrDefault, getDelimitedStringValuesOrDefault, getDelimitedStringValuesOrDefault, getDelimitedStringValuesOrEmptyString, getDelimitedStringValuesOrEmptyString, getDelimitedStringValuesOrEmptyString, getDelimitedStringValuesOrEmptyString, getDelimitedStringValuesOrEmptyString, getDelimitedStringValuesOrEmptyString, getDelimitedStringValuesOrNull, getDelimitedStringValuesOrNull, getDelimitedStringValuesOrNull, getDelimitedStringValuesOrNull, getDelimitedStringValuesOrNull, getDelimitedStringValuesOrNull, getDoubleValues, getDoubleValues, getElement, getFloatValues, getFloatValues, getFloatValues, getGroup, getIntegerValues, getIntegerValues, getIntegerValues, getLongValues, getLongValues, getLongValues, getOriginalStringValues, getPaddedVL, getShortValues, getSingleDoubleValueOrDefault, getSingleDoubleValueOrDefault, getSingleDoubleValueOrDefault, getSingleFloatValueOrDefault, getSingleFloatValueOrDefault, getSingleFloatValueOrDefault, getSingleIntegerValueOrDefault, getSingleIntegerValueOrDefault, getSingleIntegerValueOrDefault, getSingleLongValueOrDefault, getSingleLongValueOrDefault, getSingleLongValueOrDefault, getSingleStringValueOrDefault, getSingleStringValueOrDefault, getSingleStringValueOrDefault, getSingleStringValueOrDefault, getSingleStringValueOrDefault, getSingleStringValueOrDefault, getSingleStringValueOrEmptyString, getSingleStringValueOrEmptyString, getSingleStringValueOrEmptyString, getSingleStringValueOrEmptyString, getSingleStringValueOrEmptyString, getSingleStringValueOrEmptyString, getSingleStringValueOrNull, getSingleStringValueOrNull, getSingleStringValueOrNull, getSingleStringValueOrNull, getSingleStringValueOrNull, getSingleStringValueOrNull, getStringValues, getStringValues, getStringValues, getStringValues, getStringValues, getStringValues, getTag, getVL, getVM, getVRAsString, isValid, repairValues, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValues, setValues, setValues, toString, writeBase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OtherDoubleAttribute

          public OtherDoubleAttribute(AttributeTag t)

      Construct an (empty) attribute.

      Parameters:
        `t` - the tag of the attribute

    - #### OtherDoubleAttribute

          public OtherDoubleAttribute(AttributeTag t,
                                      long vl,
                                      DicomInputStream i)
                               throws java.io.IOException,
                                      DicomException

      Read an attribute from an input stream.

      Parameters:
        `t` - the tag of the attribute
        `vl` - the value length of the attribute
        `i` - the input stream
      Throws:
        `java.io.IOException`
        `DicomException`

    - #### OtherDoubleAttribute

          public OtherDoubleAttribute(AttributeTag t,
                                      java.lang.Long vl,
                                      DicomInputStream i)
                               throws java.io.IOException,
                                      DicomException

      Read an attribute from an input stream.

      Parameters:
        `t` - the tag of the attribute
        `vl` - the value length of the attribute
        `i` - the input stream
      Throws:
        `java.io.IOException`
        `DicomException`

  - ### Method Detail

    - #### write

          public void write(DicomOutputStream o)
                     throws DicomException,
                            java.io.IOException

      Description copied from class: `Attribute`

      Write the entire attribute (including values) to the output stream.

      Specified by:
        `write` in class `Attribute`
      Parameters:
        `o` -
      Throws:
        `java.io.IOException`
        `DicomException`

    - #### toString

          public java.lang.String toString(DicomDictionary dictionary)

      Description copied from class: `Attribute`

      Dump the contents of the attribute as a human-readable string.

      No new line is appended.

      The result is of the form:

           (0xgggg,0xeeee) Name VR=<XX> VL=<0xnnnn> <...>

      For example:

           (0x0018,0x0020) ScanningSequence VR=<CS> VL=<0x2> <GR>

      Overrides:
        `toString` in class `Attribute`
      Parameters:
        `dictionary` - the dictionary to use to look up the name
      Returns:
        a single `String` value

    - #### setValues

          public void setValues(double[] v)
                         throws DicomException

      Description copied from class: `Attribute`
      Replace any existing values with the supplied array of double.
      Overrides:
        `setValues` in class `Attribute`
      Parameters:
        `v` -
      Throws:
        `DicomException`

    - #### removeValues

          public void removeValues()

      Description copied from class: `Attribute`

      Remove any existing values, making the attribute empty (zero length).

      Specified by:
        `removeValues` in class `Attribute`

    - #### getDoubleValues

          public double[] getDoubleValues()
                                   throws DicomException

      Description copied from class: `Attribute`

      Get the values of this attribute as a double array.

      Overrides:
        `getDoubleValues` in class `Attribute`
      Returns:
        the values as an array of double
      Throws:
        `DicomException`

    - #### getVR

          public byte[] getVR()

      Get the value representation of this attribute (OD).

      Overrides:
        `getVR` in class `Attribute`
      Returns:
        'O','D' in ASCII as a two byte array; see `ValueRepresentation`